Character Map overview

You can use Character Map to view the characters that are available in a selected font. Character Map displays the following character sets: Windows, DOS, and Unicode.

You can copy individual characters or a group of characters to the Clipboard and paste them into any program that can display them. Or, depending on the program you are using (such as WordPad), you can even copy characters by dragging them from Character Map directly into an open document.

Using Character Map, you can search for characters by Unicode character name or Unicode subgroup (such as arrows or mathematical operators) or by other special classifications.

You can also use Character Map to view and copy private characters that you have created using Private Character Editor.

Related Topics


Insert a special character into a document

To insert a special character into a document

  1. In the Font list, click the font you want to use.
  2. Click the special character you want to insert into the document.
  3. Click Select, and then click Copy.
  4. Open your document and position the insertion point where you want the special character to appear.
  5. On the Edit menu, click Paste.

Note

  • You can also use a drag-and-drop operation to copy a special character into documents that support drag-and-drop functions. Simply click the character you want to copy (it appears enlarged), and then drag the character into the open document.


Insert a private character into a document

To insert a private character into a document

  1. In the Font list, click the font that you have linked your private characters to. For example, if you have linked your private characters to all fonts, click All Fonts (Private Characters). If you have linked your private characters to a specific font, such as Times New Roman, click Times New Roman (Private Characters).
  2. Click the private character you want to insert into the document.
  3. Click Select, and then click Copy.
  4. Open the document and position the insertion point where you want the private character to appear.
  5. On the Edit menu, click Paste.

Notes

  • If you do not delete previously copied characters in the Characters to copy box, they are copied along with any new character you select.
  • If a private character does not appear properly in a document, select the character and change its font so that it matches the font you linked it to.


Finding characters

In Character Map, all the characters in a specific font are displayed in the order of their Unicode value. If you know the Unicode value of the character you are looking for, you can scroll through the characters in the font to find it.

If you don't know the Unicode value of the character you are looking for, click the Advanced view check box. This lets you display groups of characters to help you refine your search. You can even use the Search for box to search for a character by name. For example, if you are looking for the euro character, go to the Advanced view and type euro in the Search for box. If the status bar displays a message that no character is available, select a different font and try your search again. Some fonts do not contain all characters.


Search for a character by name

To search for a character by name

  1. In the Font list, click the font you want to search.
  2. Select the Advanced view check box.
  3. In the Character set list, click the character set you want to search. If a character set is not available, choose a different font.
  4. In the Search for box, type all or part of the name of the character you are searching for.
  5. Click Search.

Notes

  • To start another search, click Reset.
  • To view the name of a particular character (and its associated hexadecimal code), position your pointer over the character.
  • To search for a character by name in a specific Unicode category, click Unicode Subrange in the Group by box. For more information, see Related Topics.


Search for a character by Unicode value

To search for a character by Unicode value

  1. In the Font list, click the font you want to search.
  2. Select the Advanced view check box.
  3. In the Character set list, click Unicode.
  4. In the Group by list, click All.
  5. In the Go to Unicode box, type the four-character Unicode value of the character you are looking for.


Search for a character by Unicode category

To search for a character by Unicode category

  1. In the Font list, click the font you want to search.
  2. Select the Advanced view check box.
  3. In the Group by list, click Unicode Subrange.
  4. In the Unicode Subrange list, click the category of characters you want to view. Scroll, if needed, to find your character and double-click to place the character in Characters to copy.


Search for a Chinese, Japanese, or Korean character by the way it sounds

To search for a Chinese, Japanese, or Korean character by the way it sounds

  1. Select the Advanced view check box.
  2. In the Group by list, click the group you want to use for the search.
  3. In the Group By dialog box, click the character that corresponds to the sound you want to search for.

    Character Map displays the characters that start with the sound you selected.

Notes

  • You can search for a character by the way it sounds in the following character sets: Japanese Kanji by Hiragana, Korean Hanja by Hangul, Simplified Chinese by PinYin, Traditional Chinese by Bopomoto.
  • If the list of character sets in the Group By list does not include the character sets named in the previous note, you can add these character sets using Control Panel, if you are logged on as an Administrator. First, in Control Panel, double-click Regional Options. Then, under Language settings for the system, click to select the languages you want to add.


Shortcut Keys for Character Map

You can move through the characters displayed in the grid using the keyboard shortcuts in the following table:

Key or Keys | Action
RIGHT ARROW | Moves to the right or to the beginning of the next line
LEFT ARROW | Moves to the left or to the end of the previous line
UP ARROW | Moves up
DOWN ARROW | Moves down
PAGE UP | Moves up one screen at a time
PAGE DOWN | Moves down one screen at a time
HOME | Moves to the beginning of the line
END | Moves to the end of the line
CTRL+HOME | Moves to the first character
CTRL+END | Moves to the last character
SPACEBAR | Switches between enlarged and normal mode when a character is selected